> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payroll Status History



## OpenAPI

````yaml /api-reference/preview.json get /organizations/{organization_id}/payrolls/{payroll_status_id}/status/history
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /organizations/{organization_id}/payrolls/{payroll_status_id}/status/history:
    get:
      tags:
        - Core
        - Payrolls
      summary: Get Payroll Status History
      operationId: >-
        get_payroll_status_history_organizations__organization_id__payrolls__payroll_status_id__status_history_get
      parameters:
        - name: payroll_status_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Payroll Status Id
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  oneOf:
                    - $ref: '#/components/schemas/GBPayrollStatusHistory'
                  discriminator:
                    propertyName: country_code
                    mapping:
                      GB:
                        $ref: '#/components/schemas/GBPayrollStatusHistory'
                title: >-
                  Response Get Payroll Status History Organizations 
                  Organization Id  Payrolls  Payroll Status Id  Status History
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    GBPayrollStatusHistory:
      properties:
        id:
          type: string
          title: Id
        version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version
        country_code:
          type: string
          const: GB
          title: Country Code
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
        content:
          $ref: '#/components/schemas/GBPayrollTasks'
        created_at:
          type: string
          format: date-time
          title: Created At
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
      type: object
      required:
        - id
        - country_code
        - status
        - content
        - created_at
        - created_by
      title: GBPayrollStatusHistory
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PayrollTaskStatus:
      type: string
      enum:
        - DRAFT
        - IN_PROGRESS
        - SUCCESS
        - FAILED
      title: PayrollTaskStatus
    GBPayrollTasks:
      properties:
        payroll_calculation:
          $ref: '#/components/schemas/GBCalculationTask'
        calculation_approve:
          $ref: '#/components/schemas/GBCalculationApproveTask'
        hmrc_fps_submission:
          anyOf:
            - $ref: '#/components/schemas/GBHmrcFpsSubmissionTask'
            - type: 'null'
        hmrc_fps_til_submission:
          anyOf:
            - $ref: '#/components/schemas/GBHmrcFpsSubmissionTask'
            - type: 'null'
        payslip_generation:
          anyOf:
            - $ref: '#/components/schemas/GBPayslipGenerationTask'
            - type: 'null'
        bacs_file_generation:
          anyOf:
            - $ref: '#/components/schemas/GBBacsFileTask'
            - type: 'null'
      type: object
      required:
        - payroll_calculation
        - calculation_approve
      title: GBPayrollTasks
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    GBCalculationTask:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBCalculationTask
    GBCalculationApproveTask:
      properties:
        task_id:
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBCalculationApproveTask
    GBHmrcFpsSubmissionTask:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBHmrcFpsSubmissionTask
    GBPayslipGenerationTask:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBPayslipGenerationTask
    GBBacsFileTask:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBBacsFileTask
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````